Manual de ayuda de processing por Juanma

Nos manda Juanma lo siguiente:

Hola!!!!!

Si…ya lo sé…últimamente he estado hipermegasuperpesado con las posibilidades que ofrece el programa Processing….pero es que es como un vicio…cuando en proyectos I, todos exponíamos en clase que…”es que esto es así como interactivo con el usuario”…o…”este dibujo es autogenerativo con las condiciones del programa y tal”…pues con este programa se puede hacer todo eso y mucho más…
Es por ello que en las últimas semanas me he estado empapando de manuales, sketches y código de programación para realizar este pequeño manual para que torpes como yo, puedan hacer sus primeros pinitos en este campo. Estudios de arquitectura como Morphosis, Xefirotarch, MVRDV,…ya han comenzado a presentar sus proyectos con programas similares a este…así que creo que es una nueva herramienta para conseguir los resultados que ansiamos.

Espero que os sirva de algo y os entre el gusanillo como a mi!!!

Un saludo, Juanma!!!

Os podeis descargar el manual HACIENDO CLICK AQUÍ.

Curso Processing CECLEC 2008/2009

Hola.

En enero de 2009 empiezan las clases de Processing dentro del curso CECLEC 2008/2009. Según creo el primer día es el martes 27, y el bloque lectivo acabará antes de semana santa. Con este motivo comienzo a escribir en este blog los asuntos relacionados con el tema, y pretendo utilizarlo como vía de comunicación colocando aquí los contenidos asociados a la materia y vínculos a otros sitios donde obtener información y ampliar conocimientos.

El programa del curso se basa en el libro de Reas & Fry (creadores del proyecto Processing) llamado “Processing, a programming handbook for visual designers and artist”. Este libro y otros sobre el tema están en la biblioteca de la universidad. Los interesados y/o inscritos ya debéis tener el programa del curso, y si no es así podéis echarle un vistazo aquí.

Para una información exhaustiva sobre Processing lo mejor es visitar la página web oficial (en inglés) http://www.processing.org

A finales de noviembre publicaron la primera versión “estable” de Processing (hasta el momento todo eran versiones “beta”). El día 24 salió la 1.0 y el día 29 salió la revisión 1.0.1. Se pueden descargar en la página web indicada anteriormente.

El software no se instala, sino que sencillamente se copia en una carpeta del disco duro (después de descomprimir el archivo zip de la descarga) y luego basta crear en el escritorio un acceso directo al fichero ejecutable processing.exe. Trae bastantes ejemplos para curiosear coger ideas. Echadles un vistazo!

Seguiremos informado.

VITO

Protocolo de uso cnc

Ya está publicado el protocolo a seguir para usar la máquina cnc. Podeis acceder a la página desde el enlace visible en la cabecera, haciendo click aquí, o descargarlo en pdf.

Máquina CNC en funcionamiento

La primera prueba cara a hacer una maqueta para el pfc ya ha tenido lugar, lo que da lugar a indicaros un primer punto que teneis que tener en cuenta a la hora de elaborar vuestras maquetas . . . . ¡Atención a la escala y las unidades en las que trabajais! Si no, pues pasan cosas como que la maqueta salga a un cuarto del tamaño que debería tener 🙂

SunSurfaceSplit

 

Os subimos el script para utilizar la inclinación del sol como parámetro que explicamos en la última clase

 

 

‘Script written by Miguel Mesa

‘Script copyrighted by {LAC}

‘Script version martes, 26 de agosto de 2008 3:18:07

 

Call SunSurfaceSplit()

Sub SunSurfaceSplit()

Dim strSurfaceID : strSurfaceID = Rhino.GetObject(“Selecciona una Superficie”, 8, True, True)

Dim strDirSolID: strDirSolID = Rhino.GetObject(“Selecciona Dirección del Sol”, 4, True, True)

If IsNull (strSurfaceID) Then Exit Sub

If IsNull (strDirSolID) Then Exit Sub

Dim intCount1 : intCount1 = Rhino.GetInteger(“¿Número de Frames en u?”, 10, 2, 2000)

If IsNull(inCount) Then Exit Sub

Dim intCount2 : intCount2 = Rhino.GetInteger(“¿Número de Frames en v?”, 10, 2, 2000)

Dim uDomain : uDomain = Rhino.SurfaceDomain(strSurfaceID, 0)

Dim vDomain : vDomain = Rhino.SurfaceDomain(strSurfaceID, 1)

Dim uStep : uStep = (uDomain(1) – uDomain(0))/intCount1

Dim vStep : vStep = (vDomain(1) – vDomain(0))/intCount2

Dim u, v

Dim pt

Dim srfFrame

Call Rhino.EnableRedraw(False)

For u = uDomain(0) To uDomain(1) Step uStep

For v = vDomain(0) To vDomain(1) Step vStep

pt = Rhino.EvaluateSurface(strSurfaceID, Array(u, v))

If Rhino.Distance(pt, Rhino.BrepClosestPoint(strSurfaceID, pt)(0)) < 0.1 Then

srfFrame = Rhino.SurfaceFrame(strSurfaceID, Array(u, v))

Dim VectorPerp : VectorPerp = Rhino.SurfaceNormal(strSurfaceID, Array(u, v))

VectorPerp = Rhino.VectorScale(VectorPerp, 10)

Dim ExtrudePath : ExtrudePath = Rhino.AddLine(pt,Rhino.VectorAdd(pt,VectorPerp))

Dim A : A = Rhino.CurveStartPoint(strDirSolID)

Dim B : B = Rhino.CurveEndPoint(strDirSolID)

Dim C : C = Pt

Dim D : D = Rhino.CurveEndPoint(ExtrudePath)

‘Dim VSol : VSol = Rhino.VectorCreate(A, B)

Dim dblAngulo : dblAngulo = Rhino.Angle2(array(A,B), array(C,D))

 

 

Dim Circle : Circle = Rhino.AddCircle(srfFrame,0.01*dblAngulo(0))

Dim Cilindro : Cilindro = Rhino.ExtrudeCurve(Circle,ExtrudePath)

Dim CilindroMoved : CilindroMoved = Rhino.MoveObject(Cilindro, pt, Rhino.VectorSubtract(pt, Rhino.VectorDivide(VectorPerp, 2)))

 

Dim SplitBrep : SplitBrep = Rhino.SplitBrep(strSurfaceID, CilindroMoved, True)

If Not IsNull (SplitBrep(0)) Then

strSurfaceID = SplitBrep(0)

Call Rhino.DeleteObject(SplitBrep(1))

End If

Call Rhino.DeleteObject(CilindroMoved)

Call Rhino.DeleteObject(Circle)

Call Rhino.DeleteObject(ExtrudePath)

End If

Next

Next

Call Rhino.EnableRedraw(True)

End Sub

Voronoi en Grasshopper

A continuación os dejamos una definición en Grasshopper que permite realizar Voronoi con los que podemos interactuar viendo los cambios producidos al cambiar los puntos en tiempo real.

Esta definición es obra de Dimitrie Stefanescu, estudiante de arquitectura en la universidad Ion Mincu de Bucarest.

Podeis ver más trabajos trabajos suyos en su weblog, UN DIDI.

Para descargar la definición, haced click aquí. Si no os funciona, tendreis que actualizar vuestra versión del Grasshopper. Podeis encontrar el enlace a la última versión en la barra lateral.